﻿using System;
using System.Collections.Generic;
using System.Text;
using kr.go.ads.client;

namespace kr.go.ads.compare
{
    public class UpdateAscCompare : IComparer<ReceiveData>
    {
        public int Compare(ReceiveData arg1, ReceiveData arg2)
        {
            // 파일 생성일과 파일일자 및 재반영 여부를 확인하여 처리
            int compareMakeDay = arg1.CreateDate.CompareTo(arg2.CreateDate);
            if (compareMakeDay == 0)
            {
                compareMakeDay = arg1.FileDate.CompareTo(arg2.FileDate);
                if (compareMakeDay == 0)
                {
                    compareMakeDay = arg2.RetryYn.CompareTo(arg1.RetryYn);
                }
            }
            return compareMakeDay;
        }
    }
}
